Bug 1286064 - DHT+add bricks:Intermittent IO failures upon add-bricks.
DHT+add bricks:Intermittent IO failures upon add-bricks.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
3.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
dht-add-brick, dht-fixed
: ZStream
Depends On: 1163330 1278399
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 05:29 EST by Susant Kumar Palai
Modified: 2016-08-09 01:48 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.7.9-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1163330
Environment:
Last Closed: 2016-08-09 01:48:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Raghavendra G 2015-12-30 00:51:40 EST
similar to bz 1278399

Fixed by:
https://code.engineering.redhat.com/gerrit/#/c/61036/

Fixed in: 3.1.2
Comment 3 Prasad Desala 2016-08-09 01:39:26 EDT
This issue is not seen on gluster version: 3.7.9-10.el7rhgs.x86_64

Here are the steps that were followed,

1) Created a distribute replica (2x2) volume and started it.  
2) Fuse mounted the volume and started untarring kernel packages from multiple sessions.
3) While file creation are in progress on the client, added 4 bricks to the volume.

From all the sessions, Kernel untar is happening without any issues/error messages.

Also, repeated the test on a  NFS mount and no issues are seen.

Hence, moving the bug state to Verified.
Comment 4 Nithya Balachandran 2016-08-09 01:48:57 EDT
Thanks Prasad.
I am closing this BZ based on comment#3.

Note You need to log in before you can comment on or make changes to this bug.